Subject: Re: [PATCH net-next 3/3] sunvnet: Schedule maybe_tx_wakeup as a tasklet from ldc_rx path

From: Sowmini Varadhan <[email-masked]>
Date: Wed, 13 Aug 2014 06:51:37 -0400

On (08/12/14 21:26), Raghuram Kothakota wrote:
> 
> We do not consider a peer which couldn't process LDC messages
> as an offender but just a peer in a broken state. A peer could get

So I was using "offender" in the same way that one typically
talks about sending  ICMP errors for "offending IP packets" 
(nothing pesonal :-)).  I dont want to quibble over terminology here.
 
> From what I read the ldc_disconect() code, it seems like it is reconfiguring
> the queues, so I assume a reset event would re-enable the communication
> fine, but I don't know for sure without testing this specific condition.

No such events were generated by the code when I tested it.

I'll send a consolidated reply to the rest of that very long thread 
in a bit.

--Sowmini